<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" type="text/css" href="./index.css">

	<title>CSS Introduction</title>

	<style type="text/css">
		/* Hierarchy of Styling Types 
			1. Inline Sytling
			2. Internal Styling
			3. External Styling
			*/

		/* Syntax:
		tagName{
			property:value;
		}*/
		h1
		{color: black !important;
		}
		
	</style>
</head>
<body>

	<!-- id - used as unique selector designing and navigation -->
	<!-- id attribute values depends on the developer -->

	<!-- <tag idAttribute="id" -->

	<nav id="top">
		<!-- Don't forget to use number sign (#) to access and id-->
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="register">Register</a>
		</div>
	</nav>

	<!-- Inline Styling -->
	<!-- Creating stle directly in the tags -->
	<h1 style="color: red;">Hello, World</h1>

	<section id="landing">
		<h2>Welcome to Zuitt</h2>
		<h3 id="zuitt-motto">Opportunites for everyone, everywhere</h3>
		<img src="https://place-puppy.com/450x450"><br>

		<ol id="bootcamp-learning-list">
			<!-- <tag classAttribute="className" -->
			<li class="offering-item">Day classes</li>
			<li class="offering-item">Night classes</li>
			<li class="offering-item">Intro to coding events</li>
		</ol>

		<a href="#top">Back to Top</a>
	</section>

	<section id="register">
		<h2>Register</h2>
		<form>
			<label for="first-name">First Name</label>
			<input type="text" id="first-name" required autocomplete>

			<label for="last-name">Last Name</label>
			<input type="text" id="last-name" required autocomplete>

			<!-- By default the value of autocoplete is "on" -->
			<label for="email">Email</label>
			<input type="email" id="email" required autocomplete>

			<button type="submit">Apply Now</button>

		</form>

		<a href="#top">Back to Top</a>
	</section>

</body>
</html>